@if (!isLoggedIn) {
  <div class="login-form-flex">
    <mat-card class="card">
      <mat-card-title class="title">
        Login
      </mat-card-title>
      <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" class="">
        <mat-card-content > 
          <mat-form-field class="loginContent">
            <mat-label>Username</mat-label>
            <input matInput placeholder="User Name" formControlName="username">
            <mat-error>Enter a valid Username</mat-error>
          </mat-form-field>
          <br/>
          <mat-form-field class="loginContent">
            <mat-label>Password</mat-label>
            <input type="password" matInput placeholder="Password" formControlName="password" />
            <mat-error>Enter a valid password</mat-error>
          </mat-form-field>
          <div style="color: red;">{{errorMessage}}</div>
        </mat-card-content>
       
        <mat-card-actions>
          <div class="button-flex-container">
            <button type="submit" [disabled]="!loginForm.valid" mat-raised-button color="primary">Login</button>
          </div>
        </mat-card-actions>

      </form>
    </mat-card>
  </div>
} @else {
  <div >Logged in as {{ username }}.</div>
}
